LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
SearchFlags.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::util
| Miscellaneous interfaces for sorting, connecting objects etc.

## Constant Groups
constants | com::sun::star::util::SearchFlags
| Flags for search methods.

## Variables
const long | ALL_IGNORE_CASE = 0x00000001
const long | NORM_WORD_ONLY = 0x00000010
| Flag for normal (Boyer-Moore) search / Search for word only. More...
const long | REG_EXTENDED = 0x00000100
| Flag for "regular expression" search / Interpret as extended regular expression. More...
const long | REG_NOSUB = 0x00000200
| Flag for "regular expression" search / No register information or backreferences, i.e., avoid sub expressions. More...
const long | REG_NEWLINE = 0x00000400
| Flag for "regular expression" search / Special new line treatment. More...
const long | REG_NOT_BEGINOFLINE = 0x00000800
| The first character in the string is not the beginning of the line therefore ^ will not match with first character of the string. More...
const long | REG_NOT_ENDOFLINE = 0x00001000
| The last character in the string is not the end of the line therefore $ will not match with last character of the string. More...
const long | LEV_RELAXED = 0x00010000
| Flag for "Weighted Levenshtein Distance" search / Relaxed checking of limit, split weigh pools. More...
const long | WILD_MATCH_SELECTION = 0x00100000
| Flag for wildcards search if entire selection must match the pattern. More...